Package org.eclipse.graphiti.util

# Interface ILocationInfo

All Known Implementing Classes:
  `LocationInfo`

public interface ILocationInfo
The Interface ILocationInfo.

## Method Summary

Modifier and Type
Method
Description
`GraphicsAlgorithm`
`getGraphicsAlgorithm()`
Gets the graphics algorithm.
`Shape`
`getShape()`
Gets the shape.

## Method Details

### getShape

Shape getShape()
Gets the shape.

Returns:
  the shape of this location information

### getGraphicsAlgorithm

GraphicsAlgorithm getGraphicsAlgorithm()
Gets the graphics algorithm.

Returns:
  the graphics algorithm of this location information